From 83d6306242a404c18157f6c3300ad1ad19dc3492 Mon Sep 17 00:00:00 2001
From: Paul Guo <paulguo@gmail.com>
Date: Thu, 17 May 2018 15:20:28 +0800
Subject: [PATCH] Fix pg_upgrade test failure caused by the DDL below.

CREATE TABLE t111 ( a40 BIT VARYING(5) DEFAULT '1')

The failure is caused by the pg_dump diff (before and after pg_upgrade) as below.

 CREATE TABLE public.t111 (
 -    a40 bit varying(5) DEFAULT B'1'::bit varying
 +    a40 bit varying(5) DEFAULT (B'1'::"bit")::bit varying
  );

This patch is co-authored by Richard Guo <guofenglinux@gmail.com>
---
 src/backend/utils/adt/ruleutils.c | 2 +-
 src/bin/pg_upgrade/test.sh        | 0
 2 files changed, 1 insertion(+), 1 deletion(-)
 mode change 100644 => 100755 src/bin/pg_upgrade/test.sh

diff --git a/src/backend/utils/adt/ruleutils.c b/src/backend/utils/adt/ruleutils.c
index 065238b0fe..0cd85b788d 100644
--- a/src/backend/utils/adt/ruleutils.c
+++ b/src/backend/utils/adt/ruleutils.c
@@ -9425,7 +9425,7 @@ get_const_expr(Const *constval, deparse_context *context, int showtype)
 
 		case BITOID:
 		case VARBITOID:
-			appendStringInfo(buf, "B'%s'", extval);
+			appendStringInfo(buf, "'%s'", extval);
 			break;
 
 		case BOOLOID:
diff --git a/src/bin/pg_upgrade/test.sh b/src/bin/pg_upgrade/test.sh
old mode 100644
new mode 100755
-- 
2.15.1 (Apple Git-101)

